Package com.sun.jna.platform.win32

## Class OaIdl.EXCEPINFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.EXCEPINFO

Direct Known Subclasses:
  `OaIdl.EXCEPINFO.ByReference`

Enclosing interface:
  OaIdl

    @FieldOrder({"wCode","wReserved","bstrSource","bstrDescription","bstrHelpFile","dwHelpContext","pvReserved","pfnDeferredFillIn","scode"})
    public static class OaIdl.EXCEPINFO
    extends Structure

The Class EXCEPINFO.

### Nested Class Summary

Nested Classes
`static class` `OaIdl.EXCEPINFO.ByReference` The Class ByReference.

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`WTypes.BSTR` `bstrDescription` The bstr description.
`WTypes.BSTR` `bstrHelpFile` The bstr help file.
`WTypes.BSTR` `bstrSource` The bstr source.
`WinDef.DWORD` `dwHelpContext` The dw help context.
`OaIdl.EXCEPINFO.ByReference` `pfnDeferredFillIn` The pfn deferred fill in.
`WinDef.PVOID` `pvReserved` The pv reserved.
`WinDef.SCODE` `scode` The scode.
`WinDef.WORD` `wCode` The w code.
`WinDef.WORD` `wReserved` The w reserved.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`EXCEPINFO()` Instantiates a new excepinfo.
`EXCEPINFO​(Pointer p)` Instantiates a new excepinfo.

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### wCode

    public WinDef.WORD wCode

The w code.

#### wReserved

    public WinDef.WORD wReserved

The w reserved.

#### bstrSource

    public WTypes.BSTR bstrSource

The bstr source.

#### bstrDescription

    public WTypes.BSTR bstrDescription

The bstr description.

#### bstrHelpFile

    public WTypes.BSTR bstrHelpFile

The bstr help file.

#### dwHelpContext

    public WinDef.DWORD dwHelpContext

The dw help context.

#### pvReserved

    public WinDef.PVOID pvReserved

The pv reserved.

#### pfnDeferredFillIn

    public OaIdl.EXCEPINFO.ByReference pfnDeferredFillIn

The pfn deferred fill in.

#### scode

    public WinDef.SCODE scode

The scode.

### Constructor Detail

#### EXCEPINFO

    public EXCEPINFO()

Instantiates a new excepinfo.

#### EXCEPINFO

    public EXCEPINFO​(Pointer p)

Instantiates a new excepinfo.

Parameters:
  `p` - the p